Bug 876661 - rfe: firewall-config button and menu item to launch zone configuration in network manager
Summary: rfe: firewall-config button and menu item to launch zone configuration in net...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-14 16:50 UTC by Matthew Miller
Modified: 2013-01-18 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-18 20:39:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2012-11-14 16:50:22 UTC
Currently, firewall-config has a user interface centered around zones, the only prominent zone-related action is to change the default zone.

It turns out that zones are configured by Network Manager. The firewall-config UI should either be able to make API calls to network manager to make these changes natively, or should have a button and menu item to launch that configuration.


It should also list the interfaces/networks associated with a zone in the UI, even if they can't be changed there.

Honestly, I think this alone will cure 90% of the scariness of the GUI. :)

(Also, the network-manager interface should, if it does not, list interfaces which are not under its control and provide a hint that those need to be zone-ified externally.)

Comment 1 Thomas Woerner 2012-11-21 15:23:25 UTC
I am working on a left button menu for the applet to call nm-connection-editor that has support for zones upstream already. I will also add a generic button for this to firewall-config.

Comment 2 Thomas Woerner 2012-12-11 19:56:48 UTC
Fixed in GIT: http://git.fedorahosted.org/cgit/firewalld.git/commit/?id=534120c0b1f8d24778a499512a12004d7bc25562

firewall-applet: Zones can be changed now using nm-connection-editor
- Only available if nm-connection-editor is available 
- New left menu: Change of zone of a connection directly 
- New item in right menu to be able change the zone in general

Comment 3 Fedora Update System 2012-12-11 20:46:14 UTC
firewalld-0.2.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firewalld-0.2.11-1.fc18

Comment 4 Fedora Update System 2012-12-11 23:29:45 UTC
Package firewalld-0.2.11-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.11-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20206/firewalld-0.2.11-1.fc18
then log in and leave karma (feedback).

Comment 5 Jiri Popelka 2012-12-14 16:23:22 UTC
(In reply to comment #2)
> firewall-applet: Zones can be changed now using nm-connection-editor

In KDE the Network Connection Control Module can be started via 'kcmshell4 kcm_networkmanagement' so we could possibly run that if nm-connection-editor is not available. The module availability discovery is a little tricky. I haven't any better idea than checking whether /usr/lib[64]/kde4/kcm_networkmanagement.so exists.

Comment 6 Fedora Update System 2013-01-14 16:21:00 UTC
firewalld-0.2.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firewalld-0.2.12-1.fc18

Comment 7 Fedora Update System 2013-01-18 20:39:43 UTC
firewalld-0.2.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.